Skip to main content
`Ctrl`+`K`

# SVDSetDSType

Sets the type of the internal `DS` object based on the current settings of the singular value solver.

## Synopsis

    #include "slepcsvd.h"
    PetscErrorCode SVDSetDSType(SVD svd)

Collective

## Input Parameter

- svd - the singular value solver context

## Note

This function need not be called explicitly, since it will be called at both `SVDSetFromOptions()` and `SVDSetUp()`.

## See Also

SVD: Singular Value Decomposition, `SVDSetFromOptions()`, `SVDSetUp()`

## Level

developer

## Location

src/svd/interface/svdsetup.c

## Implementations

SVDSetDSType_LAPACK() in src/svd/impls/lapack/svdlapack.c
SVDSetDSType_TRLanczos() in src/svd/impls/trlanczos/trlanczos.c

Index of all SVD routines Table of Contents for all manual pages Index of all manual pages